Bug 595229 (CVE-2006-7239) - CVE-2006-7239 gnutls: unknown hash algorithm NULL pointer derefence [GNUTLS-SA-2006-2]
Summary: CVE-2006-7239 gnutls: unknown hash algorithm NULL pointer derefence [GNUTLS-S...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-7239
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 591188
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 07:15 UTC by Tomas Hoger
Modified: 2021-02-24 23:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-20 08:46:34 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2010-05-24 07:15:18 UTC
A flaw was found in the way GnuTLS verified X509 certificates using unknown signature algorithm.  An X509 certificate issues by a trusted CA and using hash algorithm not supported by GnuTLS, can cause client or server applications using GnuTLS to crash on an attempt to dereference NULL pointer while verifying peer's certificate.  This was tracked upstream as GNUTLS-SA-2006-2 and fixed using following commit:

http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=34d87a7c3f12794a3ec2305cd2fdbae152bf2a76

Further GnuTLS-dev mailing list discussion:

http://lists.gnupg.org/pipermail/gnutls-dev/2006-August/001190.html

Comment 2 Tomas Hoger 2010-05-24 07:26:04 UTC
This issue was fixed upstream in GnuTLS 1.4.2, gnutls packages version in Red Hat Enterprise Linux 4 are not affected by this flaw.

Comment 3 Tomas Hoger 2010-05-25 13:03:02 UTC
It should be noted that the impact of this flaw is limited.

For client applications, this fix will resolve the crash, but as the server's hash algorithm is unsupported by GnuTLS, client will still be unable to verify server's certificate and connect to it securely.

For server applications configured to require client certificates, crash can only be triggered by a client certificate from trusted CA.  Clients with such certificates using unknown hash algorithm will not be able to connect even with the fix applied, as the server still won't be able to verify certificate.

Comment 4 Tomas Hoger 2012-03-20 08:46:34 UTC
This issue was fixed in a recently released RHBA-2012:0319 along with other bug fixes, and the update was not correctly tagged as RHSA:
  https://rhn.redhat.com/errata/RHBA-2012-0319.html

Statement:

This issue was addressed in Red Hat Enterprise Linux 5 via RHBA-2012:0319: https://rhn.redhat.com/errata/RHBA-2012-0319.html

It did not affect versions of gnutls as shipped with Red Hat Enterprise Linux 4 and 6.


Note You need to log in before you can comment on or make changes to this bug.